Subject: bug#33106: "make check-system TESTS=basic" fails on master

From: [email-masked] (Ludovic Courtès)
Date: Mon, 22 Oct 2018 15:11:54 +0200

Hello,

Chris Marusich <[email-masked]> skribis:

> The system test "basic" fails on commit
> 7d1f21c69aa89e4c7c57ace26af80d168157b243 (master).  To reproduce, check
> out that commit and run:
>
>     make check-system TESTS="basic"

It passes for me as of ff598353c01b1953243ba0ecb87efbd73c66720e, on
x86_64-linux.

[...]

> [    1.701890] virtio_blk: probe of virtio4 failed with error -2
> [    1.718210] virtio_net: probe of virtio0 failed with error -2
> [    1.724827] virtio_console virtio3: Error -2 initializing vqs
> [    1.726493] virtio_console: probe of virtio3 failed with error -2
> [    1.732626] virtio_rng: probe of virtio1 failed with error -2
> [    1.747209] FS-Cache: Loaded
> [    1.753755] 9pnet: Installing 9P2000 support
> [    1.756817] 9p: Installing v9fs 9p2000 file system support
> [    1.758476] FS-Cache: Netfs '9p' registered for caching
> [    1.767544] 9pnet_virtio: probe of virtio2 failed with error -2
> In gnu/build/linux-boot.scm:
>    516:13  2 (_)
>     367:8  1 (mount-root-file-system "/dev/vda1" "ext4" # _)
> In unknown file:
>           [    1.798957] random: fast init done
>  0 (mount "/dev/vda1" "/real-root" "ext4" 1 #<undefined>)
> In procedure mount: No such file or directory
> [    1.808236] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000000

Instead of these ‘virtio’ error, I see this (excerpt):

--8<---------------cut here---------------start------------->8---
Welcome, this is GNU's early boot Guile.
Use '--repl' for an initrd REPL.

loading kernel modules...
[    0.652780] usbcore: registered new interface driver usb-storage
[    0.654790] usbcore: registered new interface driver uas
[    0.660951] hidraw: raw HID events driver (C) Jiri Kosina
[    0.661917] usbcore: registered new interface driver usbhid
[    0.662504] usbhid: USB HID core driver
[    0.668512] isci: Intel(R) C600 SAS Controller Driver - version 1.2.0
[    0.687586] PCI Interrupt Link [LNKC] enabled at IRQ 11
[    0.706161] PCI Interrupt Link [LNKD] enabled at IRQ 10
[    0.724746] PCI Interrupt Link [LNKA] enabled at IRQ 10
[    0.743427] PCI Interrupt Link [LNKB] enabled at IRQ 11
[    0.765047] virtio_blk virtio4: [vda] 143360 512-byte logical blocks (73.4 MB/70.0 MiB)
[    0.766293]  vda: vda1 vda2
[    0.782675] FS-Cache: Loaded
[    0.784778] 9pnet: Installing 9P2000 support
[    0.785387] random: fast init done
[    0.786349] 9p: Installing v9fs 9p2000 file system support
[    0.787101] FS-Cache: Netfs '9p' registered for caching
[    0.788027] random: crng init done
[    0.792200] EXT4-fs (vda1): mounted filesystem with ordered data mode. Opts: (null)
loading '/gnu/store/vwyynlbmkrg1mr4d56n6x9vcnfw9hnw2-system/boot'...
--8<---------------cut here---------------end--------------->8---

I could be a QEMU or a kernel error.  Does it still manifest with
today’s master?

> %%%% Starting test basic  (Writing full log to "basic.log")
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL uname
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shepherd socket ready
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shell and user commands
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL special files
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL accounts
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shepherd services
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL homes
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL skeletons in home directories
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL permissions on /root
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL no extra home directories
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL login on tty1
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL utmpx entry
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL wtmp entry
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL host name resolution
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL locale
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL /run/current-system is a GC root
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL /var/guix/gcroots/profiles is a valid symlink
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL screendump
> /gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL screen text
> # of expected passes      1
> # of unexpected failures  19
>
>
> Some questions/observations:
>
> 1) Where is the "basic.log" file?  I checked the Guix checkout and the
> retained directory of the failed derivation (i.e., the directory
> produced by guix build --keep-failed /gnu/store/...gjmid5-basic.drv),
> but I don't see it anywhere.

The ‘basic.log’ file is in the output of this derivation.  The
derivation is built with #:keep-failed? #t, so the output is still
around upon failure and ‘make check-system’ prints it upon completion
with something like:

  TOTAL: 1
  FAIL: /gnu/store/gmsv8dlxd88p37qc74pdn5jgiikbyxwv-basic

Thanks for your report,
Ludo’.